public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
@ 2019-11-24 12:46 Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 1/6] acct-group/nixbld: new group (GID 30000) Sergei Trofimovich
                   ` (6 more replies)
  0 siblings, 7 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 12:46 UTC (permalink / raw
  To: gentoo-dev; +Cc: Sergei Trofimovich

A bit of background:

  nix and guix are both hermetic builders with precise dependency
  management: all build inputs are explicit and build outputs should
  ideally not change if build inputs don't change.

  Every user in the system can trigger the build via IPC request
  to the builder daemon (nix-daemon or guix-daemon).

  For each IPC request builder daemon pick free user from user pool
  dedicated specifically for building. In case of nix pool group
  is 'nixbld' and users in that pool are 'nixbld1', 'nixbld2', and so
  on. There is no fixed limit on a pool size. Nixos creates 32 users:
  nixbld{1..32}.

  That way different users can't interfere with one anothers' build.

Groups/users have a few properties:
  - final build results are owned by root:root and never by
    nixbld{1..10} users
  - nixbld{1..10} own only temporary build directory while IPC
    request is handled. Temporary directory is deleted when build
    is finished.
  - the more concurrent clients are there the more users should
    be in the builder group.

There is a GID collision:
Both nix and guix use GID=30000 for their 'nixbld'
and 'guixbuild' groups. As Gentoo allows both to co-exist
one of them has to give. I've moved guix down to 31000.

I've effectively reserved space for 1000 users for each of them:
- 30000..30999
- 31000..31000
and using only 10 of each.

Sergei Trofimovich (6):
  acct-group/nixbld: new group (GID 30000)
  acct-group/guixbuild: new group (GID 31000)
  acct-user/nixbld{1..10}: new user (UID {30001..30010)
  acct-user/guixbuilder{1..10}: new user (UID {31001..31010)
  sys-apps/nix: switch from user.eclass to acct-*/ depends
  sys-apps/guix: switch from user.eclass to acct-*/ depends

 acct-group/guixbuild/guixbuild-0.ebuild       |  10 ++
 acct-group/guixbuild/metadata.xml             |   8 +
 acct-group/nixbld/metadata.xml                |   8 +
 acct-group/nixbld/nixbld-0.ebuild             |   9 +
 acct-user/guixbuilder1/guixbuilder1-0.ebuild  |  13 ++
 acct-user/guixbuilder1/metadata.xml           |   8 +
 .../guixbuilder10/guixbuilder10-0.ebuild      |  13 ++
 acct-user/guixbuilder10/metadata.xml          |   8 +
 acct-user/guixbuilder2/guixbuilder2-0.ebuild  |  13 ++
 acct-user/guixbuilder2/metadata.xml           |   8 +
 acct-user/guixbuilder3/guixbuilder3-0.ebuild  |  13 ++
 acct-user/guixbuilder3/metadata.xml           |   8 +
 acct-user/guixbuilder4/guixbuilder4-0.ebuild  |  13 ++
 acct-user/guixbuilder4/metadata.xml           |   8 +
 acct-user/guixbuilder5/guixbuilder5-0.ebuild  |  13 ++
 acct-user/guixbuilder5/metadata.xml           |   8 +
 acct-user/guixbuilder6/guixbuilder6-0.ebuild  |  13 ++
 acct-user/guixbuilder6/metadata.xml           |   8 +
 acct-user/guixbuilder7/guixbuilder7-0.ebuild  |  13 ++
 acct-user/guixbuilder7/metadata.xml           |   8 +
 acct-user/guixbuilder8/guixbuilder8-0.ebuild  |  13 ++
 acct-user/guixbuilder8/metadata.xml           |   8 +
 acct-user/guixbuilder9/guixbuilder9-0.ebuild  |  13 ++
 acct-user/guixbuilder9/metadata.xml           |   8 +
 acct-user/nixbld1/metadata.xml                |   8 +
 acct-user/nixbld1/nixbld1-0.ebuild            |  13 ++
 acct-user/nixbld10/metadata.xml               |   8 +
 acct-user/nixbld10/nixbld10-0.ebuild          |  13 ++
 acct-user/nixbld2/metadata.xml                |   8 +
 acct-user/nixbld2/nixbld2-0.ebuild            |  13 ++
 acct-user/nixbld3/metadata.xml                |   8 +
 acct-user/nixbld3/nixbld3-0.ebuild            |  13 ++
 acct-user/nixbld4/metadata.xml                |   8 +
 acct-user/nixbld4/nixbld4-0.ebuild            |  13 ++
 acct-user/nixbld5/metadata.xml                |   8 +
 acct-user/nixbld5/nixbld5-0.ebuild            |  13 ++
 acct-user/nixbld6/metadata.xml                |   8 +
 acct-user/nixbld6/nixbld6-0.ebuild            |  13 ++
 acct-user/nixbld7/metadata.xml                |   8 +
 acct-user/nixbld7/nixbld7-0.ebuild            |  13 ++
 acct-user/nixbld8/metadata.xml                |   8 +
 acct-user/nixbld8/nixbld8-0.ebuild            |  13 ++
 acct-user/nixbld9/metadata.xml                |   8 +
 acct-user/nixbld9/nixbld9-0.ebuild            |  13 ++
 sys-apps/guix/guix-1.0.1-r2.ebuild            | 165 ++++++++++++++++++
 sys-apps/nix/nix-2.3.1-r1.ebuild              | 145 +++++++++++++++
 46 files changed, 765 insertions(+)
 create mode 100644 acct-group/guixbuild/guixbuild-0.ebuild
 create mode 100644 acct-group/guixbuild/metadata.xml
 create mode 100644 acct-group/nixbld/metadata.xml
 create mode 100644 acct-group/nixbld/nixbld-0.ebuild
 create mode 100644 acct-user/guixbuilder1/guixbuilder1-0.ebuild
 create mode 100644 acct-user/guixbuilder1/metadata.xml
 create mode 100644 acct-user/guixbuilder10/guixbuilder10-0.ebuild
 create mode 100644 acct-user/guixbuilder10/metadata.xml
 create mode 100644 acct-user/guixbuilder2/guixbuilder2-0.ebuild
 create mode 100644 acct-user/guixbuilder2/metadata.xml
 create mode 100644 acct-user/guixbuilder3/guixbuilder3-0.ebuild
 create mode 100644 acct-user/guixbuilder3/metadata.xml
 create mode 100644 acct-user/guixbuilder4/guixbuilder4-0.ebuild
 create mode 100644 acct-user/guixbuilder4/metadata.xml
 create mode 100644 acct-user/guixbuilder5/guixbuilder5-0.ebuild
 create mode 100644 acct-user/guixbuilder5/metadata.xml
 create mode 100644 acct-user/guixbuilder6/guixbuilder6-0.ebuild
 create mode 100644 acct-user/guixbuilder6/metadata.xml
 create mode 100644 acct-user/guixbuilder7/guixbuilder7-0.ebuild
 create mode 100644 acct-user/guixbuilder7/metadata.xml
 create mode 100644 acct-user/guixbuilder8/guixbuilder8-0.ebuild
 create mode 100644 acct-user/guixbuilder8/metadata.xml
 create mode 100644 acct-user/guixbuilder9/guixbuilder9-0.ebuild
 create mode 100644 acct-user/guixbuilder9/metadata.xml
 create mode 100644 acct-user/nixbld1/metadata.xml
 create mode 100644 acct-user/nixbld1/nixbld1-0.ebuild
 create mode 100644 acct-user/nixbld10/metadata.xml
 create mode 100644 acct-user/nixbld10/nixbld10-0.ebuild
 create mode 100644 acct-user/nixbld2/metadata.xml
 create mode 100644 acct-user/nixbld2/nixbld2-0.ebuild
 create mode 100644 acct-user/nixbld3/metadata.xml
 create mode 100644 acct-user/nixbld3/nixbld3-0.ebuild
 create mode 100644 acct-user/nixbld4/metadata.xml
 create mode 100644 acct-user/nixbld4/nixbld4-0.ebuild
 create mode 100644 acct-user/nixbld5/metadata.xml
 create mode 100644 acct-user/nixbld5/nixbld5-0.ebuild
 create mode 100644 acct-user/nixbld6/metadata.xml
 create mode 100644 acct-user/nixbld6/nixbld6-0.ebuild
 create mode 100644 acct-user/nixbld7/metadata.xml
 create mode 100644 acct-user/nixbld7/nixbld7-0.ebuild
 create mode 100644 acct-user/nixbld8/metadata.xml
 create mode 100644 acct-user/nixbld8/nixbld8-0.ebuild
 create mode 100644 acct-user/nixbld9/metadata.xml
 create mode 100644 acct-user/nixbld9/nixbld9-0.ebuild
 create mode 100644 sys-apps/guix/guix-1.0.1-r2.ebuild
 create mode 100644 sys-apps/nix/nix-2.3.1-r1.ebuild

-- 
2.24.0



^ permalink raw reply	[flat|nested] 15+ messages in thread

* [gentoo-dev] [PATCH 1/6] acct-group/nixbld: new group (GID 30000)
  2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
@ 2019-11-24 12:46 ` Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 2/6] acct-group/guixbuild: new group (GID 31000) Sergei Trofimovich
                   ` (5 subsequent siblings)
  6 siblings, 0 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 12:46 UTC (permalink / raw
  To: gentoo-dev; +Cc: Sergei Trofimovich

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
---
 acct-group/nixbld/metadata.xml    | 8 ++++++++
 acct-group/nixbld/nixbld-0.ebuild | 9 +++++++++
 2 files changed, 17 insertions(+)
 create mode 100644 acct-group/nixbld/metadata.xml
 create mode 100644 acct-group/nixbld/nixbld-0.ebuild

diff --git a/acct-group/nixbld/metadata.xml b/acct-group/nixbld/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-group/nixbld/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-group/nixbld/nixbld-0.ebuild b/acct-group/nixbld/nixbld-0.ebuild
new file mode 100644
index 00000000000..194e744609b
--- /dev/null
+++ b/acct-group/nixbld/nixbld-0.ebuild
@@ -0,0 +1,9 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="Builder group for nix-daemon from sys-apps/nix"
+ACCT_GROUP_ID=30000
-- 
2.24.0



^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-dev] [PATCH 2/6] acct-group/guixbuild: new group (GID 31000)
  2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 1/6] acct-group/nixbld: new group (GID 30000) Sergei Trofimovich
@ 2019-11-24 12:46 ` Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 3/6] acct-user/nixbld{1..10}: new user (UID {30001..30010) Sergei Trofimovich
                   ` (4 subsequent siblings)
  6 siblings, 0 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 12:46 UTC (permalink / raw
  To: gentoo-dev; +Cc: Sergei Trofimovich

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
---
 acct-group/guixbuild/guixbuild-0.ebuild | 10 ++++++++++
 acct-group/guixbuild/metadata.xml       |  8 ++++++++
 2 files changed, 18 insertions(+)
 create mode 100644 acct-group/guixbuild/guixbuild-0.ebuild
 create mode 100644 acct-group/guixbuild/metadata.xml

diff --git a/acct-group/guixbuild/guixbuild-0.ebuild b/acct-group/guixbuild/guixbuild-0.ebuild
new file mode 100644
index 00000000000..acb84f9fb3b
--- /dev/null
+++ b/acct-group/guixbuild/guixbuild-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="Builder group for guix-daemon from sys-apps/guix"
+# Upstream uses 30000, but it clashes with acct-group/nixbld
+ACCT_GROUP_ID=31000
diff --git a/acct-group/guixbuild/metadata.xml b/acct-group/guixbuild/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-group/guixbuild/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
-- 
2.24.0



^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-dev] [PATCH 3/6] acct-user/nixbld{1..10}: new user (UID {30001..30010)
  2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 1/6] acct-group/nixbld: new group (GID 30000) Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 2/6] acct-group/guixbuild: new group (GID 31000) Sergei Trofimovich
@ 2019-11-24 12:46 ` Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 4/6] acct-user/guixbuilder{1..10}: new user (UID {31001..31010) Sergei Trofimovich
                   ` (3 subsequent siblings)
  6 siblings, 0 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 12:46 UTC (permalink / raw
  To: gentoo-dev; +Cc: Sergei Trofimovich

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
---
 acct-user/nixbld1/metadata.xml       |  8 ++++++++
 acct-user/nixbld1/nixbld1-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld10/metadata.xml      |  8 ++++++++
 acct-user/nixbld10/nixbld10-0.ebuild | 13 +++++++++++++
 acct-user/nixbld2/metadata.xml       |  8 ++++++++
 acct-user/nixbld2/nixbld2-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld3/metadata.xml       |  8 ++++++++
 acct-user/nixbld3/nixbld3-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld4/metadata.xml       |  8 ++++++++
 acct-user/nixbld4/nixbld4-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld5/metadata.xml       |  8 ++++++++
 acct-user/nixbld5/nixbld5-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld6/metadata.xml       |  8 ++++++++
 acct-user/nixbld6/nixbld6-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld7/metadata.xml       |  8 ++++++++
 acct-user/nixbld7/nixbld7-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld8/metadata.xml       |  8 ++++++++
 acct-user/nixbld8/nixbld8-0.ebuild   | 13 +++++++++++++
 acct-user/nixbld9/metadata.xml       |  8 ++++++++
 acct-user/nixbld9/nixbld9-0.ebuild   | 13 +++++++++++++
 20 files changed, 210 insertions(+)
 create mode 100644 acct-user/nixbld1/metadata.xml
 create mode 100644 acct-user/nixbld1/nixbld1-0.ebuild
 create mode 100644 acct-user/nixbld10/metadata.xml
 create mode 100644 acct-user/nixbld10/nixbld10-0.ebuild
 create mode 100644 acct-user/nixbld2/metadata.xml
 create mode 100644 acct-user/nixbld2/nixbld2-0.ebuild
 create mode 100644 acct-user/nixbld3/metadata.xml
 create mode 100644 acct-user/nixbld3/nixbld3-0.ebuild
 create mode 100644 acct-user/nixbld4/metadata.xml
 create mode 100644 acct-user/nixbld4/nixbld4-0.ebuild
 create mode 100644 acct-user/nixbld5/metadata.xml
 create mode 100644 acct-user/nixbld5/nixbld5-0.ebuild
 create mode 100644 acct-user/nixbld6/metadata.xml
 create mode 100644 acct-user/nixbld6/nixbld6-0.ebuild
 create mode 100644 acct-user/nixbld7/metadata.xml
 create mode 100644 acct-user/nixbld7/nixbld7-0.ebuild
 create mode 100644 acct-user/nixbld8/metadata.xml
 create mode 100644 acct-user/nixbld8/nixbld8-0.ebuild
 create mode 100644 acct-user/nixbld9/metadata.xml
 create mode 100644 acct-user/nixbld9/nixbld9-0.ebuild

diff --git a/acct-user/nixbld1/metadata.xml b/acct-user/nixbld1/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld1/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld1/nixbld1-0.ebuild b/acct-user/nixbld1/nixbld1-0.ebuild
new file mode 100644
index 00000000000..dd40f385eef
--- /dev/null
+++ b/acct-user/nixbld1/nixbld1-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30001
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld10/metadata.xml b/acct-user/nixbld10/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld10/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld10/nixbld10-0.ebuild b/acct-user/nixbld10/nixbld10-0.ebuild
new file mode 100644
index 00000000000..3bff5c20898
--- /dev/null
+++ b/acct-user/nixbld10/nixbld10-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30010
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld2/metadata.xml b/acct-user/nixbld2/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld2/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld2/nixbld2-0.ebuild b/acct-user/nixbld2/nixbld2-0.ebuild
new file mode 100644
index 00000000000..2d379cab41d
--- /dev/null
+++ b/acct-user/nixbld2/nixbld2-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30002
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld3/metadata.xml b/acct-user/nixbld3/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld3/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld3/nixbld3-0.ebuild b/acct-user/nixbld3/nixbld3-0.ebuild
new file mode 100644
index 00000000000..cd5a35c1c81
--- /dev/null
+++ b/acct-user/nixbld3/nixbld3-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30003
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld4/metadata.xml b/acct-user/nixbld4/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld4/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld4/nixbld4-0.ebuild b/acct-user/nixbld4/nixbld4-0.ebuild
new file mode 100644
index 00000000000..4415755b494
--- /dev/null
+++ b/acct-user/nixbld4/nixbld4-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30004
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld5/metadata.xml b/acct-user/nixbld5/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld5/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld5/nixbld5-0.ebuild b/acct-user/nixbld5/nixbld5-0.ebuild
new file mode 100644
index 00000000000..ea910a2be24
--- /dev/null
+++ b/acct-user/nixbld5/nixbld5-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30005
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld6/metadata.xml b/acct-user/nixbld6/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld6/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld6/nixbld6-0.ebuild b/acct-user/nixbld6/nixbld6-0.ebuild
new file mode 100644
index 00000000000..5c4982f6a3a
--- /dev/null
+++ b/acct-user/nixbld6/nixbld6-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30006
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld7/metadata.xml b/acct-user/nixbld7/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld7/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld7/nixbld7-0.ebuild b/acct-user/nixbld7/nixbld7-0.ebuild
new file mode 100644
index 00000000000..c34572aabc1
--- /dev/null
+++ b/acct-user/nixbld7/nixbld7-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30007
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld8/metadata.xml b/acct-user/nixbld8/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld8/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld8/nixbld8-0.ebuild b/acct-user/nixbld8/nixbld8-0.ebuild
new file mode 100644
index 00000000000..ad59e120359
--- /dev/null
+++ b/acct-user/nixbld8/nixbld8-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30008
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
diff --git a/acct-user/nixbld9/metadata.xml b/acct-user/nixbld9/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/nixbld9/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/nixbld9/nixbld9-0.ebuild b/acct-user/nixbld9/nixbld9-0.ebuild
new file mode 100644
index 00000000000..1a3256f6eae
--- /dev/null
+++ b/acct-user/nixbld9/nixbld9-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for nix-daemon from sys-apps/nix"
+
+ACCT_USER_ID=30009
+ACCT_USER_GROUPS=( nixbld )
+
+acct-user_add_deps
-- 
2.24.0



^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-dev] [PATCH 4/6] acct-user/guixbuilder{1..10}: new user (UID {31001..31010)
  2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
                   ` (2 preceding siblings ...)
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 3/6] acct-user/nixbld{1..10}: new user (UID {30001..30010) Sergei Trofimovich
@ 2019-11-24 12:46 ` Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 5/6] sys-apps/nix: switch from user.eclass to acct-*/ depends Sergei Trofimovich
                   ` (2 subsequent siblings)
  6 siblings, 0 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 12:46 UTC (permalink / raw
  To: gentoo-dev; +Cc: Sergei Trofimovich

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
---
 acct-user/guixbuilder1/guixbuilder1-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder1/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder10/guixbuilder10-0.ebuild | 13 +++++++++++++
 acct-user/guixbuilder10/metadata.xml           |  8 ++++++++
 acct-user/guixbuilder2/guixbuilder2-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder2/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder3/guixbuilder3-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder3/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder4/guixbuilder4-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder4/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder5/guixbuilder5-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder5/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder6/guixbuilder6-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder6/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder7/guixbuilder7-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder7/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder8/guixbuilder8-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder8/metadata.xml            |  8 ++++++++
 acct-user/guixbuilder9/guixbuilder9-0.ebuild   | 13 +++++++++++++
 acct-user/guixbuilder9/metadata.xml            |  8 ++++++++
 20 files changed, 210 insertions(+)
 create mode 100644 acct-user/guixbuilder1/guixbuilder1-0.ebuild
 create mode 100644 acct-user/guixbuilder1/metadata.xml
 create mode 100644 acct-user/guixbuilder10/guixbuilder10-0.ebuild
 create mode 100644 acct-user/guixbuilder10/metadata.xml
 create mode 100644 acct-user/guixbuilder2/guixbuilder2-0.ebuild
 create mode 100644 acct-user/guixbuilder2/metadata.xml
 create mode 100644 acct-user/guixbuilder3/guixbuilder3-0.ebuild
 create mode 100644 acct-user/guixbuilder3/metadata.xml
 create mode 100644 acct-user/guixbuilder4/guixbuilder4-0.ebuild
 create mode 100644 acct-user/guixbuilder4/metadata.xml
 create mode 100644 acct-user/guixbuilder5/guixbuilder5-0.ebuild
 create mode 100644 acct-user/guixbuilder5/metadata.xml
 create mode 100644 acct-user/guixbuilder6/guixbuilder6-0.ebuild
 create mode 100644 acct-user/guixbuilder6/metadata.xml
 create mode 100644 acct-user/guixbuilder7/guixbuilder7-0.ebuild
 create mode 100644 acct-user/guixbuilder7/metadata.xml
 create mode 100644 acct-user/guixbuilder8/guixbuilder8-0.ebuild
 create mode 100644 acct-user/guixbuilder8/metadata.xml
 create mode 100644 acct-user/guixbuilder9/guixbuilder9-0.ebuild
 create mode 100644 acct-user/guixbuilder9/metadata.xml

diff --git a/acct-user/guixbuilder1/guixbuilder1-0.ebuild b/acct-user/guixbuilder1/guixbuilder1-0.ebuild
new file mode 100644
index 00000000000..df9bbd069bf
--- /dev/null
+++ b/acct-user/guixbuilder1/guixbuilder1-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31001
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder1/metadata.xml b/acct-user/guixbuilder1/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder1/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder10/guixbuilder10-0.ebuild b/acct-user/guixbuilder10/guixbuilder10-0.ebuild
new file mode 100644
index 00000000000..1672599d585
--- /dev/null
+++ b/acct-user/guixbuilder10/guixbuilder10-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31010
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder10/metadata.xml b/acct-user/guixbuilder10/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder10/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder2/guixbuilder2-0.ebuild b/acct-user/guixbuilder2/guixbuilder2-0.ebuild
new file mode 100644
index 00000000000..536ba624666
--- /dev/null
+++ b/acct-user/guixbuilder2/guixbuilder2-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31002
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder2/metadata.xml b/acct-user/guixbuilder2/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder2/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder3/guixbuilder3-0.ebuild b/acct-user/guixbuilder3/guixbuilder3-0.ebuild
new file mode 100644
index 00000000000..29903ac5083
--- /dev/null
+++ b/acct-user/guixbuilder3/guixbuilder3-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31003
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder3/metadata.xml b/acct-user/guixbuilder3/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder3/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder4/guixbuilder4-0.ebuild b/acct-user/guixbuilder4/guixbuilder4-0.ebuild
new file mode 100644
index 00000000000..de9225c797a
--- /dev/null
+++ b/acct-user/guixbuilder4/guixbuilder4-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31004
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder4/metadata.xml b/acct-user/guixbuilder4/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder4/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder5/guixbuilder5-0.ebuild b/acct-user/guixbuilder5/guixbuilder5-0.ebuild
new file mode 100644
index 00000000000..73c74271080
--- /dev/null
+++ b/acct-user/guixbuilder5/guixbuilder5-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31005
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder5/metadata.xml b/acct-user/guixbuilder5/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder5/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder6/guixbuilder6-0.ebuild b/acct-user/guixbuilder6/guixbuilder6-0.ebuild
new file mode 100644
index 00000000000..f0c481caca7
--- /dev/null
+++ b/acct-user/guixbuilder6/guixbuilder6-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31006
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder6/metadata.xml b/acct-user/guixbuilder6/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder6/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder7/guixbuilder7-0.ebuild b/acct-user/guixbuilder7/guixbuilder7-0.ebuild
new file mode 100644
index 00000000000..9bcaab8d154
--- /dev/null
+++ b/acct-user/guixbuilder7/guixbuilder7-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31007
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder7/metadata.xml b/acct-user/guixbuilder7/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder7/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder8/guixbuilder8-0.ebuild b/acct-user/guixbuilder8/guixbuilder8-0.ebuild
new file mode 100644
index 00000000000..9420e3884df
--- /dev/null
+++ b/acct-user/guixbuilder8/guixbuilder8-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31008
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder8/metadata.xml b/acct-user/guixbuilder8/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder8/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
diff --git a/acct-user/guixbuilder9/guixbuilder9-0.ebuild b/acct-user/guixbuilder9/guixbuilder9-0.ebuild
new file mode 100644
index 00000000000..05b0bd99c89
--- /dev/null
+++ b/acct-user/guixbuilder9/guixbuilder9-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="Builder user for guix-daemon from sys-apps/guix"
+
+ACCT_USER_ID=31009
+ACCT_USER_GROUPS=( guixbuild kvm )
+
+acct-user_add_deps
diff --git a/acct-user/guixbuilder9/metadata.xml b/acct-user/guixbuilder9/metadata.xml
new file mode 100644
index 00000000000..c5298995d2d
--- /dev/null
+++ b/acct-user/guixbuilder9/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+</pkgmetadata>
-- 
2.24.0



^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-dev] [PATCH 5/6] sys-apps/nix: switch from user.eclass to acct-*/ depends
  2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
                   ` (3 preceding siblings ...)
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 4/6] acct-user/guixbuilder{1..10}: new user (UID {31001..31010) Sergei Trofimovich
@ 2019-11-24 12:46 ` Sergei Trofimovich
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 6/6] sys-apps/guix: " Sergei Trofimovich
  2019-11-24 12:57 ` [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Ulrich Mueller
  6 siblings, 0 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 12:46 UTC (permalink / raw
  To: gentoo-dev; +Cc: Sergei Trofimovich

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
---
 sys-apps/nix/nix-2.3.1-r1.ebuild | 145 +++++++++++++++++++++++++++++++
 1 file changed, 145 insertions(+)
 create mode 100644 sys-apps/nix/nix-2.3.1-r1.ebuild

diff --git a/sys-apps/nix/nix-2.3.1-r1.ebuild b/sys-apps/nix/nix-2.3.1-r1.ebuild
new file mode 100644
index 00000000000..ef50b7bb65d
--- /dev/null
+++ b/sys-apps/nix/nix-2.3.1-r1.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic linux-info readme.gentoo-r1
+
+DESCRIPTION="A purely functional package manager"
+HOMEPAGE="https://nixos.org/nix"
+
+SRC_URI="http://nixos.org/releases/${PN}/${P}/${P}.tar.xz"
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+etc-profile +gc doc s3 +sodium"
+
+# sys-apps/busybox is needed for sandbox mount of /bin/sh
+RDEPEND="
+	app-arch/brotli
+	app-arch/bzip2
+	app-arch/xz-utils
+	sys-apps/busybox[static]
+	dev-db/sqlite
+	dev-libs/editline:0=
+	dev-libs/openssl:0=
+	>=dev-libs/boost-1.66:0=[context]
+	net-misc/curl
+	sys-libs/libseccomp
+	sys-libs/zlib
+	gc? ( dev-libs/boehm-gc[cxx] )
+	doc? ( dev-libs/libxml2
+		dev-libs/libxslt
+		app-text/docbook-xsl-stylesheets
+	)
+	s3? ( dev-libs/aws-sdk-cpp )
+	sodium? ( dev-libs/libsodium:0= )
+	acct-group/nixbld
+	acct-user/nixbld1
+	acct-user/nixbld2
+	acct-user/nixbld3
+	acct-user/nixbld4
+	acct-user/nixbld5
+	acct-user/nixbld6
+	acct-user/nixbld7
+	acct-user/nixbld8
+	acct-user/nixbld9
+	acct-user/nixbld10
+"
+DEPEND="${RDEPEND}
+	>=sys-devel/bison-2.6
+	>=sys-devel/flex-2.5.35
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.3-libpaths.patch
+	"${FILESDIR}"/${PN}-2.3-bootstrap.patch
+)
+
+DISABLE_AUTOFORMATTING=yes
+DOC_CONTENTS=" Quick start user guide on Gentoo:
+
+[as root] enable nix-daemon service:
+	[systemd] # systemctl enable nix-daemon
+	[openrc]  # rc-update add nix-daemon
+[as a user] relogin to get environment and profile update
+[as a user] fetch nixpkgs update:
+	\$ nix-channel --update
+[as a user] install nix packages:
+	\$ nix-env -i mc
+[as a user] configure environment:
+	Somewhere in .bash_profile you might want to set
+	LOCALE_ARCHIVE=\$HOME/.nix-profile/lib/locale/locale-archive
+	but please read https://github.com/NixOS/nixpkgs/issues/21820
+
+Next steps:
+	nix package manager user manual: http://nixos.org/nix/manual/
+"
+
+pkg_pretend() {
+	# USER_NS is used to run builders in a default setting in linux:
+	#     https://nixos.wiki/wiki/Nix#Sandboxing
+	local CONFIG_CHECK="~USER_NS"
+	check_extra_config
+}
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	if ! use s3; then
+		# Disable automagic depend: bug #670256
+		export ac_cv_header_aws_s3_S3Client_h=no
+	fi
+	econf \
+		--localstatedir="${EPREFIX}"/nix/var \
+		$(use_enable gc) \
+		--with-sandbox-shell=/bin/busybox
+}
+
+src_compile() {
+	emake V=1
+}
+
+src_install() {
+	# TODO: emacs highlighter
+	default
+
+	readme.gentoo_create_doc
+
+	# here we use an eager variant of something that
+	# is lazily done by nix-daemon and root nix-env
+
+	# TODO: will need a tweak for prefix
+	keepdir             /nix/store
+	fowners root:nixbld /nix/store
+	fperms 1775         /nix/store
+
+	keepdir             /nix/var/nix/channel-cache
+	fperms 0777         /nix/var/nix/channel-cache
+
+	keepdir             /nix/var/nix/profiles/per-user
+	fperms 1777         /nix/var/nix/profiles/per-user
+
+	# setup directories nix-daemon: /etc/profile.d/nix-daemon.sh
+	keepdir             /nix/var/nix/gcroots/per-user
+	fperms 1777         /nix/var/nix/gcroots/per-user
+
+	newinitd "${FILESDIR}"/nix-daemon.initd nix-daemon
+
+	if ! use etc-profile; then
+		rm "${ED}"/etc/profile.d/nix.sh || die
+		rm "${ED}"/etc/profile.d/nix-daemon.sh || die
+	fi
+}
+
+pkg_postinst() {
+	if ! use etc-profile; then
+		ewarn "${EROOT}/etc/profile.d/nix.sh was removed (due to USE=-etc-profile)."
+	fi
+
+	readme.gentoo_print_elog
+}
-- 
2.24.0



^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-dev] [PATCH 6/6] sys-apps/guix: switch from user.eclass to acct-*/ depends
  2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
                   ` (4 preceding siblings ...)
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 5/6] sys-apps/nix: switch from user.eclass to acct-*/ depends Sergei Trofimovich
@ 2019-11-24 12:46 ` Sergei Trofimovich
  2019-11-24 12:57 ` [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Ulrich Mueller
  6 siblings, 0 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 12:46 UTC (permalink / raw
  To: gentoo-dev; +Cc: Sergei Trofimovich

---
 sys-apps/guix/guix-1.0.1-r2.ebuild | 165 +++++++++++++++++++++++++++++
 1 file changed, 165 insertions(+)
 create mode 100644 sys-apps/guix/guix-1.0.1-r2.ebuild

diff --git a/sys-apps/guix/guix-1.0.1-r2.ebuild b/sys-apps/guix/guix-1.0.1-r2.ebuild
new file mode 100644
index 00000000000..1e8ec136e73
--- /dev/null
+++ b/sys-apps/guix/guix-1.0.1-r2.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info readme.gentoo-r1 systemd
+
+DESCRIPTION="GNU package manager (nix sibling)"
+HOMEPAGE="https://www.gnu.org/software/guix/"
+
+# taken from gnu/local.mk and gnu/packages/bootstrap.scm
+BOOT_GUILE=(
+	"aarch64-linux  20170217 guile-2.0.14.tar.xz"
+	"armhf-linux    20150101 guile-2.0.11.tar.xz"
+	"i686-linux     20131110 guile-2.0.9.tar.xz"
+	"mips64el-linux 20131110 guile-2.0.9.tar.xz"
+	"x86_64-linux   20131110 guile-2.0.9.tar.xz"
+)
+
+binary_src_uris() {
+	local system_date_guilep uri
+	for system_date_guilep in "${BOOT_GUILE[@]}"; do
+		# $1              $2       $3
+		# "armhf-linux    20150101 guile-2.0.11.tar.xz"
+		set -- ${system_date_guilep}
+		uri="mirror://gnu-alpha/${PN}/bootstrap/$1/$2/$3"
+		# ${uri} -> guix-bootstrap-armhf-linux-20150101-guile-2.0.11.tar.xz.bootstrap
+		echo "${uri} -> guix-bootstrap-$1-$2-$3.bootstrap"
+	done
+}
+
+# copy bootstrap binaries from DISTDIR to ${S}
+copy_boot_guile_binaries() {
+	local system_date_guilep
+	for system_date_guilep in "${BOOT_GUILE[@]}"; do
+		# $1              $2       $3
+		# "armhf-linux    20150101 guile-2.0.11.tar.xz"
+		set -- ${system_date_guilep}
+		cp "${DISTDIR}"/guix-bootstrap-$1-$2-$3.bootstrap gnu/packages/bootstrap/$1/$3 || die
+	done
+}
+
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz
+	$(binary_src_uris)"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RESTRICT=test # complains about size of config.log and refuses to start tests
+
+RDEPEND="
+	dev-libs/libgcrypt:0=
+	>=dev-scheme/guile-2.2:=[regex,networking,threads]
+	dev-scheme/bytestructures
+	dev-scheme/guile-gcrypt
+	>=dev-scheme/guile-git-0.2.0
+	dev-scheme/guile-json
+	dev-scheme/guile-sqlite3
+	net-libs/gnutls[guile]
+	sys-libs/zlib
+	app-arch/bzip2
+	dev-db/sqlite
+	acct-group/guixbuild
+	acct-user/guixbuilder1
+	acct-user/guixbuilder2
+	acct-user/guixbuilder3
+	acct-user/guixbuilder4
+	acct-user/guixbuilder5
+	acct-user/guixbuilder6
+	acct-user/guixbuilder7
+	acct-user/guixbuilder8
+	acct-user/guixbuilder9
+	acct-user/guixbuilder10
+"
+
+DEPEND="${RDEPEND}
+"
+
+PATCHES=("${FILESDIR}"/${PN}-0.16.0-default-daemon.patch)
+
+QA_PREBUILT="usr/share/guile/site/*/gnu/packages/bootstrap/*"
+
+DISABLE_AUTOFORMATTING=yes
+DOC_CONTENTS="Quick start user guide on Gentoo:
+
+[as root] allow binary substitution to be downloaded (optional)
+	# guix archive --authorize < /usr/share/guix/ci.guix.info.pub
+[as root] enable guix-daemon service:
+	[systemd] # systemctl enable guix-daemon
+	[openrc]  # rc-update add guix-daemon
+[as a user] ln -sf /var/guix/profiles/per-user/\$USER/guix-profile \$HOME/.guix-profile
+[as a user] install guix packages:
+	\$ guix package -i hello
+[as a user] configure environment:
+	Somewhere in .bash_profile you might want to set
+	export GUIX_LOCPATH=\$HOME/.guix-profile/lib/locale
+
+Next steps:
+	guix package manager user manual: https://www.gnu.org/software/guix/manual/guix.html
+"
+
+pkg_pretend() {
+	# USER_NS is used to run builders in a default setting in linux
+	# and for 'guix environment --container'.
+	local CONFIG_CHECK="~USER_NS"
+	check_extra_config
+}
+
+src_prepare() {
+	copy_boot_guile_binaries
+
+	default
+	# build system is very eager to run automake itself: bug #625166
+	eautoreconf
+
+	# guile is trying to avoid recompilation by checking if file
+	#     /usr/lib64/guile/2.2/site-ccache/guix/modules.go
+	# is newer than
+	#     guix/modules.scm
+	# In case it is instead of using 'guix/modules.scm' guile
+	# loads system one (from potentially older version of guix).
+	# To work it around we bump last modification timestamp of
+	# '*.scm' files.
+	# http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+	find "${S}" -name "*.scm" -exec touch {} + || die
+
+	# Gentoo stores systemd unit files in lib, never in lib64: bug #689772
+	sed -i nix/local.mk \
+		-e 's|systemdservicedir = $(libdir)/systemd/system|systemdservicedir = '"$(systemd_get_systemunitdir)"'|' || die
+}
+
+src_configure() {
+	# to be compatible with guix from /gnu/store
+	econf \
+		--localstatedir="${EPREFIX}"/var
+}
+
+src_compile() {
+	# guile occasionally fails with 'bad address'
+	emake -j1
+}
+
+src_install() {
+	# TODO: emacs highlighter
+	default
+
+	readme.gentoo_create_doc
+
+	keepdir                /etc/guix
+	# TODO: will need a tweak for prefix
+	keepdir                /gnu/store
+	fowners root:guixbuild /gnu/store
+	fperms 1775            /gnu/store
+
+	keepdir                /var/guix/profiles/per-user
+	fperms 1777            /var/guix/profiles/per-user
+
+	newinitd "${FILESDIR}"/guix-daemon.initd guix-daemon
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}
-- 
2.24.0



^ permalink raw reply related	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
                   ` (5 preceding siblings ...)
  2019-11-24 12:46 ` [gentoo-dev] [PATCH 6/6] sys-apps/guix: " Sergei Trofimovich
@ 2019-11-24 12:57 ` Ulrich Mueller
  2019-11-24 13:23   ` Sergei Trofimovich
  6 siblings, 1 reply; 15+ messages in thread
From: Ulrich Mueller @ 2019-11-24 12:57 UTC (permalink / raw
  To: Sergei Trofimovich; +Cc: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 353 bytes --]

>>>>> On Sun, 24 Nov 2019, Sergei Trofimovich wrote:

> I've effectively reserved space for 1000 users for each of them:
> - 30000..30999
> - 31000..31000
> and using only 10 of each.

That's inside the UID_MIN..UID_MAX range which should be reserved for
assignment on users' systems. Can't you move them into the range
between 60001 and 65532?

Ulrich

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 487 bytes --]

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-24 12:57 ` [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Ulrich Mueller
@ 2019-11-24 13:23   ` Sergei Trofimovich
  2019-11-24 16:19     ` Ulrich Mueller
  0 siblings, 1 reply; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 13:23 UTC (permalink / raw
  To: Ulrich Mueller; +Cc: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 795 bytes --]

On Sun, 24 Nov 2019 13:57:24 +0100
Ulrich Mueller <ulm@gentoo.org> wrote:

> >>>>> On Sun, 24 Nov 2019, Sergei Trofimovich wrote:  
> 
> > I've effectively reserved space for 1000 users for each of them:
> > - 30000..30999
> > - 31000..31000
> > and using only 10 of each.  
> 
> That's inside the UID_MIN..UID_MAX range which should be reserved for
> assignment on users' systems. Can't you move them into the range
> between 60001 and 65532?

I interpreted 'reserved' as 'free to use' on
    https://wiki.gentoo.org/wiki/Project:Quality_Assurance/UID_GID_Assignment
Can you tweak it to someting other than 'reserved' so it would be clear?

I'll use 60001 .. 60999 / 61001 .. 61999. Is it free though?
'60001..65533' claims to also be 'reserved' as well.

-- 

  Sergei

[-- Attachment #2: Цифровая подпись OpenPGP --]
[-- Type: application/pgp-signature, Size: 981 bytes --]

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-24 13:23   ` Sergei Trofimovich
@ 2019-11-24 16:19     ` Ulrich Mueller
  2019-11-24 20:35       ` Sergei Trofimovich
  0 siblings, 1 reply; 15+ messages in thread
From: Ulrich Mueller @ 2019-11-24 16:19 UTC (permalink / raw
  To: Sergei Trofimovich; +Cc: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 867 bytes --]

>>>>> On Sun, 24 Nov 2019, Sergei Trofimovich wrote:

> I interpreted 'reserved' as 'free to use' on
>     https://wiki.gentoo.org/wiki/Project:Quality_Assurance/UID_GID_Assignment
> Can you tweak it to someting other than 'reserved' so it would be clear?

That's what the "Notes" column was intended for.

> I'll use 60001 .. 60999 / 61001 .. 61999. Is it free though?
> '60001..65533' claims to also be 'reserved' as well.

Debian is also using the range above 60000 for allocations that won't
fit into the low range. Theoretically, there is some overlap with
systemd dynamic users (61184..65519), but IIUC assigning other UIDs in
that range isn't a problem, as long as there are enough free IDs left.

Another question, the above are about 2000 users and 2000 groups.
Does that imply that we will eventually end up with 4000 packages
in acct-{user,group}?

Ulrich

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 487 bytes --]

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-24 16:19     ` Ulrich Mueller
@ 2019-11-24 20:35       ` Sergei Trofimovich
  2019-11-25 16:24         ` David Seifert
  0 siblings, 1 reply; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-24 20:35 UTC (permalink / raw
  To: Ulrich Mueller; +Cc: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 1090 bytes --]

On Sun, 24 Nov 2019 17:19:36 +0100
Ulrich Mueller <ulm@gentoo.org> wrote:

> >>>>> On Sun, 24 Nov 2019, Sergei Trofimovich wrote:  
> 
> > I interpreted 'reserved' as 'free to use' on
> >     https://wiki.gentoo.org/wiki/Project:Quality_Assurance/UID_GID_Assignment
> > Can you tweak it to someting other than 'reserved' so it would be clear?  
> 
> That's what the "Notes" column was intended for.
> 
> > I'll use 60001 .. 60999 / 61001 .. 61999. Is it free though?
> > '60001..65533' claims to also be 'reserved' as well.  
> 
> Debian is also using the range above 60000 for allocations that won't
> fit into the low range. Theoretically, there is some overlap with
> systemd dynamic users (61184..65519), but IIUC assigning other UIDs in
> that range isn't a problem, as long as there are enough free IDs left.
> 
> Another question, the above are about 2000 users and 2000 groups.
> Does that imply that we will eventually end up with 4000 packages
> in acct-{user,group}?

Should be 2000 users, 2 groups. Worst case it's 2002 packages, yes.

-- 

  Sergei

[-- Attachment #2: Цифровая подпись OpenPGP --]
[-- Type: application/pgp-signature, Size: 981 bytes --]

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-24 20:35       ` Sergei Trofimovich
@ 2019-11-25 16:24         ` David Seifert
  2019-11-25 20:28           ` Sergei Trofimovich
  0 siblings, 1 reply; 15+ messages in thread
From: David Seifert @ 2019-11-25 16:24 UTC (permalink / raw
  To: gentoo-dev, Ulrich Mueller

On Sun, 2019-11-24 at 20:35 +0000, Sergei Trofimovich wrote:
> On Sun, 24 Nov 2019 17:19:36 +0100
> Ulrich Mueller <ulm@gentoo.org> wrote:
> 
> > > > > > > On Sun, 24 Nov 2019, Sergei Trofimovich wrote:  
> > > I interpreted 'reserved' as 'free to use' on
> > >     
> > > https://wiki.gentoo.org/wiki/Project:Quality_Assurance/UID_GID_Assignment
> > > Can you tweak it to someting other than 'reserved' so it would be
> > > clear?  
> > 
> > That's what the "Notes" column was intended for.
> > 
> > > I'll use 60001 .. 60999 / 61001 .. 61999. Is it free though?
> > > '60001..65533' claims to also be 'reserved' as well.  
> > 
> > Debian is also using the range above 60000 for allocations that
> > won't
> > fit into the low range. Theoretically, there is some overlap with
> > systemd dynamic users (61184..65519), but IIUC assigning other UIDs
> > in
> > that range isn't a problem, as long as there are enough free IDs
> > left.
> > 
> > Another question, the above are about 2000 users and 2000 groups.
> > Does that imply that we will eventually end up with 4000 packages
> > in acct-{user,group}?
> 
> Should be 2000 users, 2 groups. Worst case it's 2002 packages, yes.
> 

For a package manager that likely only 3 Gentoo users in the world use?
I don't consider that particularly helpful, and am very much inclined
to oppose that.



^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-25 16:24         ` David Seifert
@ 2019-11-25 20:28           ` Sergei Trofimovich
  2019-11-25 20:32             ` Michał Górny
  0 siblings, 1 reply; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-25 20:28 UTC (permalink / raw
  To: gentoo-dev

On Mon, 25 Nov 2019 17:24:08 +0100
David Seifert <soap@gentoo.org> wrote:

> On Sun, 2019-11-24 at 20:35 +0000, Sergei Trofimovich wrote:
> > On Sun, 24 Nov 2019 17:19:36 +0100
> > Ulrich Mueller <ulm@gentoo.org> wrote:
> >   
> > > > > > > > On Sun, 24 Nov 2019, Sergei Trofimovich wrote:    
> > > > I interpreted 'reserved' as 'free to use' on
> > > >     
> > > > https://wiki.gentoo.org/wiki/Project:Quality_Assurance/UID_GID_Assignment
> > > > Can you tweak it to someting other than 'reserved' so it would be
> > > > clear?    
> > > 
> > > That's what the "Notes" column was intended for.
> > >   
> > > > I'll use 60001 .. 60999 / 61001 .. 61999. Is it free though?
> > > > '60001..65533' claims to also be 'reserved' as well.    
> > > 
> > > Debian is also using the range above 60000 for allocations that
> > > won't
> > > fit into the low range. Theoretically, there is some overlap with
> > > systemd dynamic users (61184..65519), but IIUC assigning other UIDs
> > > in
> > > that range isn't a problem, as long as there are enough free IDs
> > > left.
> > > 
> > > Another question, the above are about 2000 users and 2000 groups.
> > > Does that imply that we will eventually end up with 4000 packages
> > > in acct-{user,group}?  
> > 
> > Should be 2000 users, 2 groups. Worst case it's 2002 packages, yes.
> >   
> 
> For a package manager that likely only 3 Gentoo users in the world use?

I'll avoid debating you scientific method of deriving that number.
What is your threshold? 10 users? 1000 users? 100000 users?

> I don't consider that particularly helpful, and am very much inclined
> to oppose that.

I'm fine with current use of user.eclass if QA grants nix and guix an
exception to use user.eclass indefinitely instead of GLEP-81 layout.

-- 

  Sergei


^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-25 20:28           ` Sergei Trofimovich
@ 2019-11-25 20:32             ` Michał Górny
  2019-11-25 20:38               ` Sergei Trofimovich
  0 siblings, 1 reply; 15+ messages in thread
From: Michał Górny @ 2019-11-25 20:32 UTC (permalink / raw
  To: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 2441 bytes --]

On Mon, 2019-11-25 at 20:28 +0000, Sergei Trofimovich wrote:
> On Mon, 25 Nov 2019 17:24:08 +0100
> David Seifert <soap@gentoo.org> wrote:
> 
> > On Sun, 2019-11-24 at 20:35 +0000, Sergei Trofimovich wrote:
> > > On Sun, 24 Nov 2019 17:19:36 +0100
> > > Ulrich Mueller <ulm@gentoo.org> wrote:
> > >   
> > > > > > > > > On Sun, 24 Nov 2019, Sergei Trofimovich wrote:    
> > > > > I interpreted 'reserved' as 'free to use' on
> > > > >     
> > > > > https://wiki.gentoo.org/wiki/Project:Quality_Assurance/UID_GID_Assignment
> > > > > Can you tweak it to someting other than 'reserved' so it would be
> > > > > clear?    
> > > > 
> > > > That's what the "Notes" column was intended for.
> > > >   
> > > > > I'll use 60001 .. 60999 / 61001 .. 61999. Is it free though?
> > > > > '60001..65533' claims to also be 'reserved' as well.    
> > > > 
> > > > Debian is also using the range above 60000 for allocations that
> > > > won't
> > > > fit into the low range. Theoretically, there is some overlap with
> > > > systemd dynamic users (61184..65519), but IIUC assigning other UIDs
> > > > in
> > > > that range isn't a problem, as long as there are enough free IDs
> > > > left.
> > > > 
> > > > Another question, the above are about 2000 users and 2000 groups.
> > > > Does that imply that we will eventually end up with 4000 packages
> > > > in acct-{user,group}?  
> > > 
> > > Should be 2000 users, 2 groups. Worst case it's 2002 packages, yes.
> > >   
> > 
> > For a package manager that likely only 3 Gentoo users in the world use?
> 
> I'll avoid debating you scientific method of deriving that number.
> What is your threshold? 10 users? 1000 users? 100000 users?

Could you provide some numbers on performance impact of having that many
users?  In particular on systems using plain text passwd database.

> 
> > I don't consider that particularly helpful, and am very much inclined
> > to oppose that.
> 
> I'm fine with current use of user.eclass if QA grants nix and guix an
> exception to use user.eclass indefinitely instead of GLEP-81 layout.

I would rather be inclined to give nix and guix a special privilege of
being moved to an overlay.  It seems so far that they are unjustly
trying to assume growing number of privileges they have no claim for,
and trying to run their own non-Gentoo shop inside Gentoo for no good
reason.

-- 
Best regards,
Michał Górny


[-- Attachment #2: This is a digitally signed message part --]
[-- Type: application/pgp-signature, Size: 618 bytes --]

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments
  2019-11-25 20:32             ` Michał Górny
@ 2019-11-25 20:38               ` Sergei Trofimovich
  0 siblings, 0 replies; 15+ messages in thread
From: Sergei Trofimovich @ 2019-11-25 20:38 UTC (permalink / raw
  To: gentoo-dev

On Mon, 25 Nov 2019 21:32:18 +0100
Michał Górny <mgorny@gentoo.org> wrote:

> On Mon, 2019-11-25 at 20:28 +0000, Sergei Trofimovich wrote:
> > On Mon, 25 Nov 2019 17:24:08 +0100
> > David Seifert <soap@gentoo.org> wrote:
> >   
> > > On Sun, 2019-11-24 at 20:35 +0000, Sergei Trofimovich wrote:  
> > > > On Sun, 24 Nov 2019 17:19:36 +0100
> > > > Ulrich Mueller <ulm@gentoo.org> wrote:
> > > >     
> > > > > > > > > > On Sun, 24 Nov 2019, Sergei Trofimovich wrote:      
> > > > > > I interpreted 'reserved' as 'free to use' on
> > > > > >     
> > > > > > https://wiki.gentoo.org/wiki/Project:Quality_Assurance/UID_GID_Assignment
> > > > > > Can you tweak it to someting other than 'reserved' so it would be
> > > > > > clear?      
> > > > > 
> > > > > That's what the "Notes" column was intended for.
> > > > >     
> > > > > > I'll use 60001 .. 60999 / 61001 .. 61999. Is it free though?
> > > > > > '60001..65533' claims to also be 'reserved' as well.      
> > > > > 
> > > > > Debian is also using the range above 60000 for allocations that
> > > > > won't
> > > > > fit into the low range. Theoretically, there is some overlap with
> > > > > systemd dynamic users (61184..65519), but IIUC assigning other UIDs
> > > > > in
> > > > > that range isn't a problem, as long as there are enough free IDs
> > > > > left.
> > > > > 
> > > > > Another question, the above are about 2000 users and 2000 groups.
> > > > > Does that imply that we will eventually end up with 4000 packages
> > > > > in acct-{user,group}?    
> > > > 
> > > > Should be 2000 users, 2 groups. Worst case it's 2002 packages, yes.
> > > >     
> > > 
> > > For a package manager that likely only 3 Gentoo users in the world use?  
> > 
> > I'll avoid debating you scientific method of deriving that number.
> > What is your threshold? 10 users? 1000 users? 100000 users?  
> 
> Could you provide some numbers on performance impact of having that many
> users?  In particular on systems using plain text passwd database.
> 
> >   
> > > I don't consider that particularly helpful, and am very much inclined
> > > to oppose that.  
> > 
> > I'm fine with current use of user.eclass if QA grants nix and guix an
> > exception to use user.eclass indefinitely instead of GLEP-81 layout.  
> 
> I would rather be inclined to give nix and guix a special privilege of
> being moved to an overlay.  It seems so far that they are unjustly
> trying to assume growing number of privileges they have no claim for,
> and trying to run their own non-Gentoo shop inside Gentoo for no good
> reason.

As always great choice of words. So be it.

-- 

  Sergei


^ permalink raw reply	[flat|nested] 15+ messages in thread

end of thread, other threads:[~2019-11-25 20:38 UTC | newest]

Thread overview: 15+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-11-24 12:46 [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Sergei Trofimovich
2019-11-24 12:46 ` [gentoo-dev] [PATCH 1/6] acct-group/nixbld: new group (GID 30000) Sergei Trofimovich
2019-11-24 12:46 ` [gentoo-dev] [PATCH 2/6] acct-group/guixbuild: new group (GID 31000) Sergei Trofimovich
2019-11-24 12:46 ` [gentoo-dev] [PATCH 3/6] acct-user/nixbld{1..10}: new user (UID {30001..30010) Sergei Trofimovich
2019-11-24 12:46 ` [gentoo-dev] [PATCH 4/6] acct-user/guixbuilder{1..10}: new user (UID {31001..31010) Sergei Trofimovich
2019-11-24 12:46 ` [gentoo-dev] [PATCH 5/6] sys-apps/nix: switch from user.eclass to acct-*/ depends Sergei Trofimovich
2019-11-24 12:46 ` [gentoo-dev] [PATCH 6/6] sys-apps/guix: " Sergei Trofimovich
2019-11-24 12:57 ` [gentoo-dev] [PATCH 0/6] nix and guix GID/UID assignments Ulrich Mueller
2019-11-24 13:23   ` Sergei Trofimovich
2019-11-24 16:19     ` Ulrich Mueller
2019-11-24 20:35       ` Sergei Trofimovich
2019-11-25 16:24         ` David Seifert
2019-11-25 20:28           ` Sergei Trofimovich
2019-11-25 20:32             ` Michał Górny
2019-11-25 20:38               ` Sergei Trofimovich

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox